#!/bin/bash

EXTRA_ARGS=()

if [ -f .passbolt.yml ]; then
    EXTRA_ARGS+=("--extra-vars" "@.passbolt.yml")
fi
if [ -f .vaultpass ]; then
    EXTRA_ARGS+=("--vault-password-file" ".vaultpass")
fi

export PYTHONPATH=./venv/lib/python3.12/site-packages/
ansible-playbook ${EXTRA_ARGS[@]} $@
